=== modified file 'share/extensions/inkex.py'
--- share/extensions/inkex.py	2010-08-12 16:29:31 +0000
+++ share/extensions/inkex.py	2010-08-28 19:56:10 +0000
@@ -120,6 +120,9 @@
         self.OptionParser.add_option("--id",
                         action="append", type="string", dest="ids", default=[], 
                         help="id attribute of object to manipulate")
+        self.OptionParser.add_option("--docbase",
+                        action="store", type="string", dest="docbase", default="~",
+                        help="document base directory")
 
     def effect(self):
         pass

=== modified file 'src/extension/implementation/script.cpp'
--- src/extension/implementation/script.cpp	2010-04-25 14:10:07 +0000
+++ src/extension/implementation/script.cpp	2010-08-28 19:57:18 +0000
@@ -699,6 +699,19 @@
             ++selected;
         }
     }
+    
+    // copy the document base directory into a param named docbase
+    if (doc != NULL) {
+        if (doc->doc() != NULL) {
+            if (doc->doc()->base != NULL) {
+                Glib::ustring docbase;
+                docbase += "--docbase=";
+                docbase += doc->doc()->base;
+                params.insert(params.begin(), docbase);
+                fflush(NULL);
+            }
+        }
+    }
 
     file_listener fileout;
     int data_read = execute(command, params, dc->_filename, fileout);

